/***************************************************************************
 *            main.h
 *
 *  Thu Mar  6 10:16:01 2008
 * ===========================================================
 * 【タイトル】 卒煙式
 * 【配布形態】 フリーウェア
 * 【HomePage1】 http://sotsuen.jpn.org/
 * 【HomePage2】 http://sotsuen.com/
 * 【ソフトの転載】 可（ただし許可要）
 * 【著 作 権】 Copyright (C) 2005- dototo
 * ===========================================================
 *  Linux版について
 * 【メンテナ】 Matsu (greentea701-linux@yahoo.co.jp)
 ****************************************************************************/
typedef struct _myparam
{
	gchar			BlogUrl[100];
	gint				Status;
//	gshort			Status;
	GdkColor		colorText;	
	GdkColor		colorBG;
	gint				Dcopy;
//	gshort			Dcopy;
	gint				DSY;
	gboolean		DBC;
	gint				DYear;
	gint				DMonth;
	gint				DDay;
	gint				DHour;
	gint				DMin;
	gint				TCount;
	gint				TPrice;
	gint				TTax;
	gint				TTaxPer;
	gint				TSize;
//	gshort			TSize;
	//2008.05.18 add start -------------
	gboolean		DET;	// format switch (elapsed time)
	gint				reserved1;
	gint				reserved2;
	gint				reserved3;
	//2008.05.18 add end   -------------
}	myparam;

myparam myParam;

typedef struct _sotsuval
{
	gint	Year;
	gint	Month;
	gint	Day;
	gint	Hour;
	gint	Min;
	gint	Sec;
	
	gint	eSec;
	gint	eDay;
	
	gint	CCount;
	gfloat	CLen;
	gint	SavedMoney;
	gint	SavedTax;
	gint	LifeSpanDay;
	gint	LifeSpanHour;
	gint	LifeSpanMin;
}	sotsuval;

//  	 the ID of the source to remove. (g_timeout_add)
guint timer1;

void
DisplayVariousImages (GtkWidget *, sotsuval);

gchar *
DisplayTodaysComment (sotsuval);

gchar *
DisplayCountNotSmoked (sotsuval);

gchar *
DisplaySavedMoney (sotsuval);

gchar *
DisplayLifeSpan (sotsuval);

gchar *
DisplayStatus (gint eday);

gchar *
DisplayElaspedTime (sotsuval);

int
CalSotsuVal (sotsuval * sv, gint esec,
	     gint year, gint month, gint day,
	     gint hour, gint minute, gint second);

void
param_init (void);

void
reload_timeout_from_callbacks (gpointer data);

int
main (int, char *[]);
